package com.tianyi.sync.controller;

import com.tianyi.sync.service.CashFlowService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class CashFlowController {


    private final CashFlowService cashFlowService;

    public CashFlowController(CashFlowService cashFlowService) {
        this.cashFlowService = cashFlowService;
    }

    /**
     * 现金流量
     * @return
     */
    @PostMapping("/cash/flow")
    public Object cashFlow(){
        return cashFlowService.cashFlow();
    }
}
