package com.tianyi.sync.controller;

import com.tianyi.sync.service.CashFlowService;
import com.tianyi.sync.service.GroupSyncService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class GroupSyncController {


    private final GroupSyncService groupSyncService;

    public GroupSyncController(GroupSyncService groupSyncService) {
        this.groupSyncService = groupSyncService;
    }

    /**
     * 集团数据同步
     * @return
     */
    @PostMapping("/group/sync")
    public Object groupSync(){
        return groupSyncService.groupSync();
    }
}
